#!/bin/sh

format_bytes () {
    case "1" in 
        "$(($1>=1<<30))") printf "$(($1>>30))GiB";;
        "$(($1>=1<<20))") printf "$(($1>>20))MiB";;
        "$(($1>=1<<10))") printf "$(($1>>10))kiB";;
        *) printf "$1B";;
    esac
}

checkroot () {
    [ "$(id -u)" = "0" ] || {
        printf "${RED}Please run as root!${RESET}\n"
        exit 1
    }
}

reverse_lines () {
    local result=
    while IFS= read -r line; do 
        result="$line
        $result"
    done
    echo "$result" 
}


